sininv
Prev | Orchestra Opcodes and Operators | Next

## sininv

sininv — Performs an arcsine function.

## Description

Returns the arcsine of x (x in radians).

## Syntax

    sininv(x) (no rate
        restriction)

    sininv(k/i[]) (k- or i-arrays)

## Examples

Here is an example of the sininv opcode. It uses the file sininv.csd.

Example 982. Example of the sininv opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o sininv.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 0.5
      i1 = sininv(irad)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i1 = 0.524

## See also

Trigonometric Functions

## Credits

Author: John ffitch

New in version 3.48

Example written by Kevin Conder.

Prev | Up | Next
sinh | Home | sinsyn